package org.openxma.dsl.generator.impl

import org.openxma.dsl.core.model.EqualityExpr
import org.openxma.dsl.core.model.FalseLiteral
import org.openxma.dsl.core.model.TrueLiteral

class ExpressionLanguageImpl {
	
	def dispatch CharSequence getExpressionLanguage(EqualityExpr it, CharSequence defaultVal) {
		defaultVal
	}
	def dispatch CharSequence getExpressionLanguage(FalseLiteral it, CharSequence defaultVal) {
		"false"
	}
	def dispatch CharSequence getExpressionLanguage(TrueLiteral it, CharSequence defaultVal) {
		"true"
	}
	
	
	def CharSequence toExpressionLanguage(EqualityExpr expr) { '''
	expr.left
	expr.op
	expr.right
'''		
	}
}